Subject: Re: How to merge some specific project folder into an empty branch.

From: Eric Miao <[email-masked]>
Date: Tue, 21 Jul 2009 14:48:57 +0800

zoucunliang wrote:
> Hi all,
> 
> Currently i want to merge one project into another git branch. For example I
> have a branch name A and there is a project called p1 under folder
> projects/p1/. and i have a empty branch B. i just want to merge project
> "projects/p1/" into my empty branch B. But I don't want to merge other
> parts(for example projects/p2). Can anyone help me please? 
> 

OK,

I'm not sure if I understand your question clearly, but let's see if
the below will work for you:

# git remote add p1 ".../projects/p1"
# git fetch p1

And assume the branch you wanna merge in P1 is C

# git checkout B
# git merge p1/C

Yet I see no benefit of doing so with project p1 and p2 to be very different.